## com.baidubce.services.moladb.model
Class CreateTableRequest

    java.lang.Object
      com.baidubce.model.AbstractBceRequest
          com.baidubce.services.moladb.model.CreateTableRequest

    public class CreateTableRequest

extends AbstractBceRequest

Represents the input of a CreateTable operation.

Constructor Summary
`CreateTableRequest()` Constructs a new CreateTableRequest object.
`CreateTableRequest(String name)` Constructs a new CreateTableRequest object.

Method Summary
`List<AttributeDefinition>` `getAttributeDefinitions()` Get the attribute definitions.
`List<KeySchemaElement>` `getKeySchema()` Get the Key information for creating a table, contains hashkey or hashkey and rangekey.
`ProvisionedThroughput` `getProvisionedThroughput()` Get the privisioned throughput when creating a table.
`String` `getTableName()` Get the name of the table to create.
`void` `setAttributeDefinitions(List<AttributeDefinition> attributeDefinitions)` Add attributes with value type and name when creating a table.
`void` `setKeySchema(List<KeySchemaElement> keySchema)` Set the Key information for creating a table, contains hashkey or hashkey and rangekey.
`void` `setProvisionedThroughput(ProvisionedThroughput provision)` Set the privisioned throughput when creating a table.
`void` `setTableName(String tableName)` Set the name of the table to create.
`String` `toString()` Return a string representation of request information.
`CreateTableRequest` `withAttributeDefinitions(List<AttributeDefinition> attributeDefinitions)` Add attributes with value type and name when creating a table.
`CreateTableRequest` `withKeySchema(List<KeySchemaElement> keySchema)` Set the Key information for creating a table, contains hashkey or hashkey and rangekey.
`CreateTableRequest` `withProvisionedThroughput(ProvisionedThroughput provision)` Set the provisioned throughput when creating a table.
`CreateTableRequest` `withRequestCredentials(BceCredentials credentials)`
`CreateTableRequest` `withTableName(String tableName)` Set the name of the table to create.

Methods inherited from class com.baidubce.model.AbstractBceRequest
`getRequestCredentials, setRequestCredentials`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CreateTableRequest

    public CreateTableRequest()

  Constructs a new CreateTableRequest object. Callers should use the setter or fluent setter (with...) methods to initialize any additional object members.

### CreateTableRequest

    public CreateTableRequest(String name)

  Constructs a new CreateTableRequest object. Callers should use the setter or fluent setter (with...) methods to initialize any additional object members.

  Parameters:
    `name` - The name of the table to create.

Method Detail

### getTableName

    public String getTableName()

  Get the name of the table to create.

  Returns:
    The name of the table to create.

### setTableName

    public void setTableName(String tableName)

  Set the name of the table to create.

  Parameters:
    `tableName` - The name of the table to create.

### withTableName

    public CreateTableRequest withTableName(String tableName)

  Set the name of the table to create.

  Parameters:
    `tableName` - The name of the table to create.
  Returns:
    A reference to this object so that method calls can be chained together.

### setAttributeDefinitions

    public void setAttributeDefinitions(List<AttributeDefinition> attributeDefinitions)

  Add attributes with value type and name when creating a table.

  Parameters:
    `attributeDefinitions` - A list of attributes with name and value for creating a table, the type is List<AttributeDefinition>.
  See Also:
    `AttributeDefinition`

### withAttributeDefinitions

    public CreateTableRequest withAttributeDefinitions(List<AttributeDefinition> attributeDefinitions)

  Add attributes with value type and name when creating a table.

  Parameters:
    `attributeDefinitions` - A list of attributes with name and value for creating a table, the type is List<AttributeDefinition>.
  Returns:
    A reference to this object so that method calls can be chained together.
  See Also:
    `AttributeDefinition`

### getAttributeDefinitions

    public List<AttributeDefinition> getAttributeDefinitions()

  Get the attribute definitions.

  Returns:
    The attribute definitions.
  See Also:
    `AttributeDefinition`

### setKeySchema

    public void setKeySchema(List<KeySchemaElement> keySchema)

  Set the Key information for creating a table, contains hashkey or hashkey and rangekey. The type is List<KeySchemaElement> type.

  Parameters:
    `keySchema` - The Key information for creating a table, contains hashkey or hashkey and rangekey. The type is List<KeySchemaElement> type.
  See Also:
    `KeySchemaElement`

### withKeySchema

    public CreateTableRequest withKeySchema(List<KeySchemaElement> keySchema)

  Set the Key information for creating a table, contains hashkey or hashkey and rangekey. The type is List<KeySchemaElement> type.

  Parameters:
    `keySchema` - The Key information for creating a table, contains hashkey or hashkey and rangekey. The type is List<KeySchemaElement> type.
  Returns:
    A reference to this object so that method calls can be chained together.
  See Also:
    `KeySchemaElement`

### getKeySchema

    public List<KeySchemaElement> getKeySchema()

  Get the Key information for creating a table, contains hashkey or hashkey and rangekey. The type is List<KeySchemaElement> type.

  Returns:
    The Key information for creating a table, contains hashkey or hashkey and rangekey. The type is List<KeySchemaElement> type.
  See Also:
    `KeySchemaElement`

### setProvisionedThroughput

    public void setProvisionedThroughput(ProvisionedThroughput provision)

  Set the privisioned throughput when creating a table.

  Parameters:
    `provision` - The privisioned throughtput information when creating a table.
  See Also:
    `ProvisionedThroughput`

### withProvisionedThroughput

    public CreateTableRequest withProvisionedThroughput(ProvisionedThroughput provision)

  Set the provisioned throughput when creating a table.

  Parameters:
    `provision` - The provisioned throughtput information when creating a table.
  Returns:
    A reference to this object so that method calls can be chained together.
  See Also:
    `ProvisionedThroughput`

### getProvisionedThroughput

    public ProvisionedThroughput getProvisionedThroughput()

  Get the privisioned throughput when creating a table.

  Returns:
    The privisioned throughtput information when creating a table.
  See Also:
    `ProvisionedThroughput`

### toString

    public String toString()

  Return a string representation of request information.

  Overrides:
    `toString` in class `Object`
  Returns:
    A string representation of request information.

### withRequestCredentials

    public CreateTableRequest withRequestCredentials(BceCredentials credentials)

  Specified by:
    `withRequestCredentials` in class `AbstractBceRequest`

Copyright © 2016. All rights reserved.